net.sf.jasperreports.engine.analytics.dataset

## Class BaseMultiAxisDataset

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseElementDataset
  - - net.sf.jasperreports.engine.analytics.dataset.BaseMultiAxisDataset

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, MultiAxisDataset, JRCloneable, JRElementDataset

      public class BaseMultiAxisDataset
      extends JRBaseElementDataset
      implements MultiAxisDataset

  Version:
    $Id: BaseMultiAxisDataset.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseElementDataset

      `datasetRun, incrementGroup, incrementTypeValue, incrementWhenExpression, resetGroup, resetTypeValue`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseMultiAxisDataset(MultiAxisDataset dataset, JRBaseObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `collectExpressions(JRExpressionCollector collector)`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseElementDataset

      `clone, getDatasetRun, getIncrementGroup, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetTypeValue`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElementDataset

      `getDatasetRun, getIncrementGroup, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetTypeValue`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Constructor Detail

    - #### BaseMultiAxisDataset

          public BaseMultiAxisDataset(MultiAxisDataset dataset,
                              JRBaseObjectFactory factory)

  - ### Method Detail

    - #### collectExpressions

          public void collectExpressions(JRExpressionCollector collector)

      Specified by:
        `collectExpressions` in interface `JRElementDataset`
      Overrides:
        `collectExpressions` in class `JRBaseElementDataset`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com